> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get service provider client aggregate stats



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json post /v1/team/clients/stats
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/team/clients/stats:
    post:
      tags:
        - Team
      summary: Get service provider client aggregate stats
      operationId: TeamController_getServiceProviderClientStats
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ServiceProviderClientSearchDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServiceProviderClientStats'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
        '404':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    ServiceProviderClientSearchDto:
      type: object
      properties:
        size:
          type: number
        page:
          type: number
        filter:
          type: string
        search:
          type: string
        orderBy:
          type: string
        orderDir:
          type: string
          enum:
            - asc
            - desc
        onlyDemo:
          type: boolean
          description: Only include demo clients
        onlyTestMode:
          type: boolean
          description: Only include test mode clients
        onlyOperatingTeam:
          type: boolean
          description: Only include clients marked as operating teams
        onlyEndpointAutoContainment:
          type: boolean
          description: Only include clients with endpoint auto containment enabled
        onlyIdentityAutoContainment:
          type: boolean
          description: Only include clients with identity auto containment enabled
        escalationEmailSource:
          type: string
          enum:
            - custom
            - inherited
          description: Filter by escalation email source
    ServiceProviderClientStats:
      type: object
      properties:
        totalClients:
          type: number
          description: Total number of clients in filtered result set
        totalTeamMembers:
          type: number
          description: Total team members across filtered clients
        totalBillableUsers:
          type: number
          description: Total billable users across filtered clients
        totalBillableEndpoints:
          type: number
          description: Total billable endpoints across filtered clients
      required:
        - totalClients
        - totalTeamMembers
        - totalBillableUsers
        - totalBillableEndpoints
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````